pacemaker-libs-devel-2.0.2-1.fc31.i686.rpm


Advertisement

Description

pacemaker-libs-devel - Pacemaker development package

Property Value
Distribution Fedora Rawhide
Repository Fedora x86_64
Package filename pacemaker-libs-devel-2.0.2-1.fc31.i686.rpm
Package name pacemaker-libs-devel
Package version 2.0.2
Package release 1.fc31
Package architecture i686
Package type rpm
Homepage http://www.clusterlabs.org
License GPLv2+ and LGPLv2+
Maintainer -
Download size 132.11 KB
Installed size 398.85 KB
Pacemaker is an advanced, scalable High-Availability cluster resource
manager.
The pacemaker-libs-devel package contains headers and shared libraries
for developing tools for Pacemaker.

Alternatives

Package Version Architecture Repository
pacemaker-libs-devel-2.0.2-1.fc31.x86_64.rpm 2.0.2 x86_64 Fedora
pacemaker-libs-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
bzip2-devel(x86-32) -
corosynclib-devel(x86-32) >= 2.0.0
glib2-devel(x86-32) -
libcib.so.27 -
libcrmcluster.so.29 -
libcrmcommon.so.34 -
libcrmservice.so.28 -
liblrmd.so.28 -
libpacemaker.so.1 -
libpe_rules.so.26 -
libpe_status.so.28 -
libqb-devel(x86-32) -
libstonithd.so.26 -
libtool-ltdl-devel(x86-32) -
libuuid-devel(x86-32) -
libxml2-devel(x86-32) -
libxslt-devel(x86-32) -
pacemaker-cluster-libs(x86-32) = 2.0.2-1.fc31
pacemaker-libs(x86-32) = 2.0.2-1.fc31

Provides

Name Value
pacemaker-libs-devel = 2.0.2-1.fc31
pacemaker-libs-devel(x86-32) = 2.0.2-1.fc31
pkgconfig(libpacemaker) = 2.0.2-1.fc31
pkgconfig(pacemaker) = 2.0.2-1.fc31
pkgconfig(pacemaker-cib) = 2.0.2-1.fc31
pkgconfig(pacemaker-cluster) = 2.0.2-1.fc31
pkgconfig(pacemaker-fencing) = 2.0.2-1.fc31
pkgconfig(pacemaker-lrmd) = 2.0.2-1.fc31
pkgconfig(pacemaker-pe_rules) = 2.0.2-1.fc31
pkgconfig(pacemaker-pe_status) = 2.0.2-1.fc31
pkgconfig(pacemaker-service) = 2.0.2-1.fc31

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package pacemaker-libs-devel-2.0.2-1.fc31.i686.rpm
Source Package pacemaker-2.0.2-1.fc31.src.rpm

Install Howto

Install pacemaker-libs-devel rpm package:

# dnf --refresh install pacemaker-libs-devel

Files

Path
/usr/include/pacemaker/crm_config.h
/usr/include/pacemaker/crm/attrd.h
/usr/include/pacemaker/crm/cib.h
/usr/include/pacemaker/crm/cluster.h
/usr/include/pacemaker/crm/compatibility.h
/usr/include/pacemaker/crm/crm.h
/usr/include/pacemaker/crm/lrmd.h
/usr/include/pacemaker/crm/msg_xml.h
/usr/include/pacemaker/crm/services.h
/usr/include/pacemaker/crm/stonith-ng.h
/usr/include/pacemaker/crm/transition.h
/usr/include/pacemaker/crm/cib/util.h
/usr/include/pacemaker/crm/common/ipc.h
/usr/include/pacemaker/crm/common/iso8601.h
/usr/include/pacemaker/crm/common/logging.h
/usr/include/pacemaker/crm/common/mainloop.h
/usr/include/pacemaker/crm/common/nvpair.h
/usr/include/pacemaker/crm/common/results.h
/usr/include/pacemaker/crm/common/util.h
/usr/include/pacemaker/crm/common/xml.h
/usr/include/pacemaker/crm/pengine/common.h
/usr/include/pacemaker/crm/pengine/complex.h
/usr/include/pacemaker/crm/pengine/pe_types.h
/usr/include/pacemaker/crm/pengine/remote.h
/usr/include/pacemaker/crm/pengine/rules.h
/usr/include/pacemaker/crm/pengine/status.h
/usr/lib/libcib.so
/usr/lib/libcrmcluster.so
/usr/lib/libcrmcommon.so
/usr/lib/libcrmservice.so
/usr/lib/liblrmd.so
/usr/lib/libpacemaker.so
/usr/lib/libpe_rules.so
/usr/lib/libpe_status.so
/usr/lib/libstonithd.so
/usr/lib/pkgconfig/libpacemaker.pc
/usr/lib/pkgconfig/pacemaker-cib.pc
/usr/lib/pkgconfig/pacemaker-cluster.pc
/usr/lib/pkgconfig/pacemaker-fencing.pc
/usr/lib/pkgconfig/pacemaker-lrmd.pc
/usr/lib/pkgconfig/pacemaker-pe_rules.pc
/usr/lib/pkgconfig/pacemaker-pe_status.pc
/usr/lib/pkgconfig/pacemaker-service.pc
/usr/lib/pkgconfig/pacemaker.pc
/usr/share/doc/pacemaker-libs-devel/COPYING
/usr/share/doc/pacemaker-libs-devel/ChangeLog
/usr/share/licenses/pacemaker-libs-devel/LGPLv2.1

Changelog

2019-06-07 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.2-1
- Update for new upstream tarball: Pacemaker-2.0.2,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-2.0.2
(functionally identical to 2.0.2-rc3, new build mostly to match expectations)
2019-05-31 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.2-0.1.rc3
- Update for new upstream tarball for release candidate: Pacemaker-2.0.2-rc3,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-2.0.2-rc3
- Adapt spec file more akin to upstream version including:
. /usr/share/pacemaker now owned by -schemas, its "api" subdirectory
is not carried redundantly in -cli anymore (f05eb7eec)
2019-05-28 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.2-0.1.rc2
- Update for new upstream tarball for release candidate: Pacemaker-2.0.2-rc2,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-2.0.2-rc2
2019-04-25 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.2-0.1.rc1
- Update for new upstream tarball for release candidate: Pacemaker-2.0.2-rc1,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-2.0.2-rc1
- Customize (as allowed now) exhibited downstream-specific bug reporting URL
- Adapt spec file more akin to upstream version including:
. sbd ABI compatible version enforcement (37ad2bea1)
2019-04-17 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.1-2
- Apply fixes for security issues:
. CVE-2019-3885 (use-after-free with potential information disclosure)
. CVE-2018-16877 (insufficient local IPC client-server authentication)
. CVE-2018-16878 (insufficient verification inflicted preference of
uncontrolled processes)
2019-03-05 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.1-1
- Update for new upstream tarball: Pacemaker-2.0.1,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-2.0.1
2019-02-28 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.1-0.4.rc5
- Update for new upstream tarball for release candidate: Pacemaker-2.0.1-rc5,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-2.0.1-rc5
- Reflect that cts-scheduler tests are fully compatible with whatever recent
glib version that gets to be used in run-time (incl. buildroot tests) again
2019-02-04 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.1-0.3.rc4
- Update for new upstream tarball for release candidate: Pacemaker-2.0.1-rc4,
for full details, see included ChangeLog file or
https://github.com/ClusterLabs/pacemaker/releases/tag/Pacemaker-2.0.1-rc4
- Conditionally disable "hash affected tests" in cts-scheduler (-cts package),
since it is unlikely glib v2.59.0+ present in the buildroot will be
artificially downgraded post-deployment
2019-02-01 - Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-0.2.rc3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
2019-01-22 - Jan Pokorný <jpokorny+rpm-pacemaker@redhat.com> - 2.0.1-0.2.rc3
- Fix buildability with GCC 9 (PR #1681)
- Apply minor crm_mon XML output fix (PR #1678)

See Also

Package Description
pacemaker-nagios-plugins-metadata-2.0.2-1.fc31.noarch.rpm Pacemaker Nagios Metadata
pacemaker-remote-2.0.2-1.fc31.x86_64.rpm Pacemaker remote daemon for non-cluster nodes
pacemaker-schemas-2.0.2-1.fc31.noarch.rpm Schemas and upgrade stylesheets for Pacemaker
pachi-1.0-28.fc30.x86_64.rpm Pachi El Marciano - Platform Game
packETH-1.7.2-12.fc30.x86_64.rpm A GUI packet generator tool
packagedb-cli-2.14.1-9.fc30.noarch.rpm A CLI for pkgdb
packit-0.4.2-1.fc31.noarch.rpm A tool for integrating upstream projects with Fedora operating system
packmol-18.013-3.fc30.x86_64.rpm Packing optimization for molecular dynamics simulations
pacman-5.0.2-7.fc30.x86_64.rpm Package manager for the Arch distribution
pacman-filesystem-5.0.2-7.fc30.noarch.rpm Pacman filesystem layout
pacmanager-4.5.5.7-13.fc30.noarch.rpm Perl Auto Connector a multi-purpose SSH/terminal connection manager
pacrunner-0.14-1.fc30.x86_64.rpm Proxy configuration dæmon
pads-1.2-26.fc30.x86_64.rpm Passive Asset Detection System
pag-0.8-4.fc30.noarch.rpm Commandline interaction with pagure.io
pagekite-0.5.9.3-4.fc30.noarch.rpm Makes localhost servers visible to the world
Advertisement
Advertisement